Bug 805797 - [mach64] attempting to start X creates black screen with no way back unless reboot
[mach64] attempting to start X creates black screen with no way back unless r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mach64 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 03:32 EDT by cornel panceac
Modified: 2013-06-07 14:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 14:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the X log (8.69 KB, text/plain)
2012-03-22 03:32 EDT, cornel panceac
no flags Details
dmesg 10apr (35.82 KB, text/plain)
2012-04-10 03:22 EDT, cornel panceac
no flags Details
xorg log 10 apr (9.03 KB, text/plain)
2012-04-10 03:24 EDT, cornel panceac
no flags Details
x error from ssh (1.33 KB, text/plain)
2012-04-10 03:58 EDT, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2012-03-22 03:32:31 EDT
Created attachment 571925 [details]
the X log

Description of problem:
attempting to start X results in a black screen with no way to return to an usable screen. however, the machine is still alive since i'm able too get logs using ssh.

Version-Release number of selected component (if applicable):
$ rpm -q xorg-x11-drv-mach64
xorg-x11-drv-mach64-6.9.0-9.fc17.i686

$ lspci -nn | grep -i vga
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Rage Mobility P/M AGP 2x [1002:4c4d] (rev 64)



How reproducible:
always

Steps to Reproduce:
1.boot into runlevel 3
2.login as user
3.startx
  
Actual results:
black screen

Expected results:
a nice gui :)


Additional info:
the tail of the log:

[   205.198] (II) MACH64(0): VESA BIOS detected
[   205.199] (II) MACH64(0): VESA VBE Version 2.0
[   205.199] (II) MACH64(0): VESA VBE Total Mem: 8128 kB
[   205.199] (II) MACH64(0): VESA VBE OEM: ATI MACH64
[   205.199] (II) MACH64(0): VESA VBE OEM Software Rev: 1.0
[   205.199] (II) MACH64(0): VESA VBE OEM Vendor: ATI Technologies Inc.
[   205.199] (II) MACH64(0): VESA VBE OEM Product: MACH64RM
[   205.199] (II) MACH64(0): VESA VBE OEM Product Rev: 01.00
[   205.206] (II) MACH64(0): VESA VBE DDC supported
[   205.206] (II) MACH64(0): VESA VBE DDC Level none
[   205.206] (II) MACH64(0): VESA VBE DDC transfer in appr. 2 sec.
[   205.211] (II) MACH64(0): VESA VBE DDC read failed

there's no xorg.conf.
Comment 1 Adam Jackson 2012-04-09 17:52:21 EDT
Is there a message in dmesg when this happens?  A segfault perhaps?
Comment 2 cornel panceac 2012-04-10 03:22:44 EDT
Created attachment 576410 [details]
dmesg 10apr
Comment 3 cornel panceac 2012-04-10 03:24:49 EDT
Created attachment 576411 [details]
xorg log 10 apr

no, there's no crash i can see in dmesg. i also included the kernel cmdline. the default systemd target is multi-user.
Comment 4 cornel panceac 2012-04-10 03:58:07 EDT
Created attachment 576417 [details]
x error from ssh

attemtping to start x from the ssh session, i got this output which looks simpler :)
no -{X,Y} were involved. nevertheless, Xorg.0.log looks the same.
Comment 5 cornel panceac 2012-04-30 10:45:09 EDT
Hello Adam, today's updates fixed this bug. Now gnome 3 can run (in fallback mode) on this video card. Many thanks to you and your fellow developers!
Comment 6 cornel panceac 2012-04-30 10:45:48 EDT
(If you agree, this bug can be closed.)
Comment 7 Fedora End Of Life 2013-04-03 14:03:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.